//
//  ExcelTableViewController.m
//  ExcelViewDemol
//
//  Created by QZDelog on 16/11/24.
//  Copyright © 2016年 chedaye. All rights reserved.
//

#import "ExcelTableViewController.h"
#import "DractLineCell.h"
#import "dractLineTwoCell.h"

@interface ExcelTableViewController ()<UITableViewDelegate,UITableViewDataSource>
@property (nonatomic,strong) NSArray *dataArray;

@end

@implementation ExcelTableViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.tableView.backgroundColor = [UIColor redColor];
    self.tableView = [[UITableView alloc]initWithFrame:CGRectMake(0, 0, SCREEN_WIDTH, SCREEN_HEIGHT) style:UITableViewStyleGrouped];
    self.tableView.separatorStyle = UITableViewCellSeparatorStyleNone;
    self.tableView.delegate = self;
    self.tableView.dataSource = self;
    [self loadData];
    
}

- (void)loadData
{
    self.dataArray = @[
                       
                       @[ @"姓名", @"语文", @"数学", @"外语", @"生物", @"物理" , @"排名"],
                       @[@"李",@"88",@"99",@"67",@"78",@"98",@"3",],
                       @[@"张",@"78",@"69",@"87",@"98",@"78",@"10",],
                       @[@"六",@"88",@"79",@"69",@"78",@"98",@"5",],
                       @[@"吴",@"88",@"89",@"87",@"78",@"98",@"7",],
                       @[@"七",@"88",@"96",@"69",@"78",@"98",@"3",],
                        @[@"豪",@"88",@"98",@"97",@"78",@"98",@"9",],
                        @[@"巨",@"88",@"79",@"68",@"78",@"98",@"5",],
                        @[@"尔",@"88",@"89",@"77",@"78",@"98",@"2",],
                        @[@"朱",@"88",@"90",@"67",@"78",@"98",@"7",], @[@"西",@"88",@"99",@"67",@"78",@"98",@"8",],
                       @[@"七",@"88",@"96",@"69",@"78",@"98",@"3",],
                       @[@"豪",@"88",@"98",@"97",@"78",@"98",@"9",],
                       @[@"巨",@"88",@"79",@"68",@"78",@"98",@"5",],
                       @[@"尔",@"88",@"89",@"77",@"78",@"98",@"2",],
                       @[@"李",@"88",@"99",@"67",@"78",@"98",@"3",],
                       @[@"张",@"78",@"69",@"87",@"98",@"78",@"10",],
                       @[@"六",@"88",@"79",@"69",@"78",@"98",@"5",],
                       @[@"吴",@"88",@"89",@"87",@"78",@"98",@"7",],
                       
                       ];
}

#pragma mark - Table view data source


- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    if (section == 0) {
        return 1;
    }
    return self.dataArray.count;
}

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 2;
}
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    if (indexPath.section ==0) {
        DractLineCell *dractCell = [tableView dequeueReusableCellWithIdentifier:@"dractCell"];
        if (!dractCell) {
            dractCell = [[DractLineCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"dractCell"];;
        }
        return dractCell;
    }else{
        dractLineTwoCell *cell = [tableView dequeueReusableCellWithIdentifier:@"lineCell"];
        if (!cell) {
            cell = [[dractLineTwoCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"lineCell"];
        }
        cell.titleArr = self.dataArray[indexPath.row];
        return cell;

    }
 }

- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (indexPath.section ==0) {
        return 100;
    }
    return 30;
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
}

@end
